summaryrefslogtreecommitdiff
path: root/dev-go
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2018-08-23 10:44:14 -0700
committerZac Medico <zmedico@gentoo.org>2018-08-23 10:50:48 -0700
commit29f16a0a010fc42e6722fb755c4abcb1044743e1 (patch)
tree6798f5b36b9bcc4108c54019c51e31e8d6ab7419 /dev-go
parentwww-client/opera: Version 55.0.2994.44. (diff)
downloadgentoo-29f16a0a010fc42e6722fb755c4abcb1044743e1.tar.gz
gentoo-29f16a0a010fc42e6722fb755c4abcb1044743e1.tar.bz2
gentoo-29f16a0a010fc42e6722fb755c4abcb1044743e1.zip
dev-go/go-tour: DEPEND on go-net (bug 664376)
Reported-by: Toralf Förster <toralf@gentoo.org> Closes: https://bugs.gentoo.org/664376 Package-Manager: Portage-2.3.48, Repoman-2.3.10
Diffstat (limited to 'dev-go')
-rw-r--r--dev-go/go-tour/go-tour-0_p20180810.ebuild18
1 files changed, 11 insertions, 7 deletions
diff --git a/dev-go/go-tour/go-tour-0_p20180810.ebuild b/dev-go/go-tour/go-tour-0_p20180810.ebuild
index b97a2e598af..0266d4dd62b 100644
--- a/dev-go/go-tour/go-tour-0_p20180810.ebuild
+++ b/dev-go/go-tour/go-tour-0_p20180810.ebuild
@@ -15,17 +15,21 @@ SRC_URI="${ARCHIVE_URI}"
LICENSE="BSD"
SLOT="0"
IUSE=""
-DEPEND="dev-go/go-tools:="
+DEPEND="dev-go/go-net:=
+ dev-go/go-tools:="
src_compile() {
- GOPATH="${S}:$(get_golibdir_gopath)" GOBIN="${S}/bin" \
- go build -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}"
- [[ -x $(find "${T}" -name a.out) ]] || die "a.out not found"
+ local x
+ mkdir -p "${T}/golibdir/src/golang.org/x" || die
+ for x in net tools; do
+ ln -s "$(get_golibdir_gopath)/src/golang.org/x/${x}" "${T}/golibdir/src/golang.org/x/${x}" || die
+ done
+ GOPATH="${S}:${T}/golibdir" GOBIN="${S}/bin" \
+ go install -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}"
+ [[ -x bin/gotour ]] || die "gotour not found"
}
src_install() {
- GOPATH="${S}:$(get_golibdir_gopath)" GOBIN="${S}/bin" \
- go install -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}"
exeinto "$(go env GOTOOLDIR)"
newexe bin/gotour tour
insinto "$(go env GOROOT)"
@@ -33,6 +37,6 @@ src_install() {
}
src_test() {
- GOPATH="${S}:$(get_golibdir_gopath)" GOBIN="${S}/bin" \
+ GOPATH="${S}:${T}/golibdir" GOBIN="${S}/bin" \
go test -v -work -x "${EGO_PN}" || die
}